Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers.java
Class CORBAProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.java.JavaProvider
                  org.apache.axis.providers.java.RPCProvider
                      org.apache.axis.providers.java.CORBAProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

public class CORBAProvider
extends RPCProvider

A basic CORBA Provider

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `entLog`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `OPTION_HELPER_CLASSNAME`
`static java.lang.String` | `OPTION_INTERFACE_CLASSNAME`
`static java.lang.String` | `OPTION_NAME_ID`
`static java.lang.String` | `OPTION_NAME_KIND`
`static java.lang.String` | `OPTION_ORB_INITIAL_HOST`
`static java.lang.String` | `OPTION_ORB_INITIAL_PORT`

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_SCOPE`

Fields inherited from class org.apache.axis.providers.BasicProvider
`OPTION_EXTRACLASSES, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_SOAPACTION_MODE, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`CORBAProvider()`

Method Summary
`protected java.lang.String` | `getServiceClassNameOptionName()` Return the option in the configuration that contains the service class name.
`protected java.lang.String` | `getStrOption(java.lang.String optionName, Handler service)` Get a String option by looking first in the service options, and then at the Handler's options.
`protected java.lang.Object` | `makeNewServiceObject(MessageContext msgContext, java.lang.String clsName)` Return a object which implements the service.

Methods inherited from class org.apache.axis.providers.java.RPCProvider
`checkMethodName, createResponseBody, getBody, getOperationDesc, invokeMethod, processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`getServiceClass, getServiceClassName, getServiceObject, initServiceDesc, invoke`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, generateWSDL, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### entLog

    protected static org.apache.commons.logging.Log entLog

### OPTION_ORB_INITIAL_HOST

    public static final java.lang.String OPTION_ORB_INITIAL_HOST

See Also:
  Constant Field Values

### OPTION_ORB_INITIAL_PORT

    public static final java.lang.String OPTION_ORB_INITIAL_PORT

See Also:
  Constant Field Values

### OPTION_NAME_ID

    public static final java.lang.String OPTION_NAME_ID

See Also:
  Constant Field Values

### OPTION_NAME_KIND

    public static final java.lang.String OPTION_NAME_KIND

See Also:
  Constant Field Values

### OPTION_INTERFACE_CLASSNAME

    public static final java.lang.String OPTION_INTERFACE_CLASSNAME

See Also:
  Constant Field Values

### OPTION_HELPER_CLASSNAME

    public static final java.lang.String OPTION_HELPER_CLASSNAME

See Also:
  Constant Field Values

Constructor Detail

### CORBAProvider

    public CORBAProvider()

Method Detail

### makeNewServiceObject

    protected java.lang.Object makeNewServiceObject(MessageContext msgContext,
                                                    java.lang.String clsName)
                                             throws java.lang.Exception

  Return a object which implements the service.

  Overrides:
    `makeNewServiceObject` in class `JavaProvider`
  Parameters:
    `msgContext` - the message context
    `clsName` - The JNDI name of the EJB home class
  Returns:
    an object that implements the service
  Throws:
    `java.lang.Exception`

### getServiceClassNameOptionName

    protected java.lang.String getServiceClassNameOptionName()

  Return the option in the configuration that contains the service class name.

  Overrides:
    `getServiceClassNameOptionName` in class `JavaProvider`

### getStrOption

    protected java.lang.String getStrOption(java.lang.String optionName,
                                            Handler service)

  Get a String option by looking first in the service options, and then at the Handler's options. This allows defaults to be specified at the provider level, and then overriden for particular services.

  Parameters:
    `optionName` - the option to retrieve
  Returns:
    String the value of the option or null if not found in either scope

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.